<script setup lang="ts">
import { useAppConfig } from '@/composables/useAppConfig'
const appConfig = useAppConfig()

const DefaultHome = defineAsyncComponent(() => import('./Default.vue'))
const GameHome = defineAsyncComponent(() => import('./Game.vue'))
</script>

<template>
  <component :is="appConfig.isGame ? GameHome : DefaultHome"></component>
</template>
